PETSc version 3.15.5
Fix/Edit manual page

# TSSundialsSetMinTimeStep

Smallest time step to be chosen by the adaptive controller.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetMinTimeStep(TS ts,PetscReal mindt)

### Input Parameter

| ts | - the time-step context
| mindt | - lowest time step if positive, negative to deactivate

### Note

Sundials will error if it is not possible to keep the estimated truncation error below the tolerance set with TSSundialsSetTolerance() without going below this step size.

### See Also

TSSundialsSetType(), TSSundialsSetTolerance(),

### Level

beginner

### Location

src/ts/impls/implicit/sundials/sundials.c

### Implementations

TSSundialsSetMinTimeStep_Sundials in src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages